package game;

import sk.thenet.gamestd.bmp.BitmapData;

class IDatajar extends Item {
	public var jarid:Int;
	
	public function new(nid:Int){
		super(nid == 0 ? "Red datajar" : "Green datajar");
		jarid = nid;
	}
	
	override public function render(gs:GSGame, bd:BitmapData, sx:Int, sy:Int):Void {
		bd.copyPixels(Assets.aGUI, sx, sy, 24, 32 + jarid * 32, 32, 32);
	}
	
	override public function getInteractions(gs:GSGame):Array<Interaction> {
		return jarid == 1 ? [
			new Interaction("Examine", 0, function(gs:GSGame){
				gs.action_queue.push(Action.Dialogue.playerSay(
					"I found this next to me in the jungle."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"It's a jar filled with some weird substance,\nwith a data connector instead of a lid."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"There's something inside, but I can't\nquite see it. The liquid is too thick..."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"It's surprisingly light for its size."
				));
			}, false)
		] : [
			new Interaction("Examine", 0, function(gs:GSGame){
				gs.action_queue.push(Action.Dialogue.playerSay(
					"It's a jar filled with some weird substance,\nwith a data connector instead of a lid."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"There's something inside, but I can't\nquite see it. The liquid is too thick..."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"It's surprisingly light for its size."
				));
			}, false)
		];
	}
}