package game;

import sk.thenet.gamestd.bmp.BitmapData;

class IVRHeadset extends Item {
	public function new(){
		super("VR headset");
	}
	
	override public function render(gs:GSGame, bd:BitmapData, sx:Int, sy:Int):Void {
		bd.copyPixels(Assets.aGUI, sx, sy, 24, 0, 32, 32);
	}
	
	override public function getInteractions(gs:GSGame):Array<Interaction> {
		return [
			new Interaction("Take off", 0, function(gs:GSGame){
				gs.action_queue.push(Action.Dialogue.playerSay(
					"It really hurts when I try to take it off."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"I think it's screwed into my skull."
				));
			}, false),
			new Interaction("Examine", 0, function(gs:GSGame){
				gs.action_queue.push(Action.Dialogue.playerSay(
					"I can't see it, but I think it is\nan Optitronic 3 VR headset."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"I used to play games on headsets\njust like this one all the time."
				));
				gs.action_queue.push(Action.Dialogue.playerSay(
					"Well, except for the screws\ngoing into my brain."
				));
			}, false)
		];
	}
}