package sk.thenet.gamestd.input;

import sk.thenet.plustd.FM;
import flash.events.MouseEvent;

class Mouse {
	public var st:Stater;
	public var down:Bool = false;
	
	public function new(nst:Stater){
		st = nst;
		flash.Lib.current.stage.addEventListener(MouseEvent.MOUSE_DOWN, mDown);
		flash.Lib.current.stage.addEventListener(MouseEvent.MOUSE_UP, mUp);
		flash.Lib.current.stage.addEventListener(MouseEvent.CLICK, mClick);
	}
	
	public inline function getX():Int return FM.floor(flash.Lib.current.stage.mouseX / st.sca);
	public inline function getY():Int return FM.floor(flash.Lib.current.stage.mouseY / st.sca);
	
	private function mDown(e:MouseEvent):Void {
		st.cstr.fMDown(st, getX(), getY());
		down = true;
	}
	
	private function mUp(e:MouseEvent):Void {
		st.cstr.fMUp(st, getX(), getY());
		down = false;
	}
	
	private function mClick(e:MouseEvent):Void {
		st.cstr.fClick(st, getX(), getY());
	}
}