package sk.thenet.plustd.audio.music;

import haxe.ds.Vector;

class MMEffect {
	public static inline var ET_PATTERN:Int = 0;
	public static inline var ET_INSTRUMENT:Int = 1;
	
	public static inline var ETA_BUFFER:Int = 0;
	public static inline var ETA_NOTES:Int = 1;
	
	public var done:Bool = false;
	public var type:Int = 0;
	public var tapl:Int = 0;
	public var gate_always:Bool = false;
	public var persist_trigger:Bool = false;
	public var triggered:Bool = false;
	
	public var gate:Int = 0;
	public var ph:Float = 0;
	
	public var effid:Int = 0;
	
	public function new(){}
	
	public function reset():Void {
		gate = 0;
		ph = 0;
		done = false;
		triggered = false;
	}
	
	public function clock():Void { triggered = false; }
	public function trigger(trig:Int, ttype:Int):Void { triggered = true; }
	public function apply(buf:Float):Float {done = true;return buf;}
	public function applyNotes(instr:MMInstrument, c:Int):Void {done = true;}
}