import sk.thenet.gamestd.*;
import sk.thenet.gamestd.bmp.*;
import sk.thenet.gamestd.iso.*;
import sk.thenet.gamestd.model.*;
import sk.thenet.gamestd.plocom.*;
import sk.thenet.plustd.FM;
import game.*;

class Main {
	public static var st:Stater;
	
	public static function main(){
		haxe.Log.setColor(0xFF8000);
		Assets.init();
		Noises.init();
		st = new Stater();
		st.initBitmap(320, 240, 2);
		st.initKeyboard();
		st.initMouse();
		st.addState(new GenericStaterState("menu")
			.setFuncFrame(function(s:Stater){
				s.bd.fill(0xFF000000);
				Assets.fBasic.render(s.bd, "Primary objective\nA game for Ludum Dare 33\nby Aurel B$l% <thenet.sk>\n\nClick to start a new game", 4, 4, 100);
			})
			.setFuncClick(function(s:Stater, mx:Int, my:Int){
				s.switchTo("game");
			})
		);
		st.addState(new GenericStaterState("ending1")
			.setFuncFrame(function(s:Stater){
				s.bd.fill(0xFF000000);
				Assets.fBasic.render(s.bd, "You were killed by the machine.\n\nEnding 1 out of 3", 4, 4, 100);
			})
			.setFuncClick(function(s:Stater, mx:Int, my:Int){
				s.switchTo("credits");
			})
		);
		st.addState(new GenericStaterState("ending2")
			.setFuncFrame(function(s:Stater){
				s.bd.fill(0xFF000000);
				Assets.fBasic.render(s.bd, "You were killed by the machine.\nYou killed Irma, unknowingly.\n\nEnding 2 out of 3", 4, 4, 100);
			})
			.setFuncClick(function(s:Stater, mx:Int, my:Int){
				s.switchTo("credits");
			})
		);
		st.addState(new GenericStaterState("ending3")
			.setFuncFrame(function(s:Stater){
				s.bd.fill(0xFF000000);
				Assets.fBasic.render(s.bd, "You were blissfully ignorant.\n\nEnding 3 out of 3", 4, 4, 100);
			})
			.setFuncClick(function(s:Stater, mx:Int, my:Int){
				s.switchTo("credits");
			})
		);
		st.addState(new GenericStaterState("credits")
			.setFuncFrame(function(s:Stater){
				s.bd.fill(0xFF000000);
				Assets.fBasic.render(s.bd, "Primary objective\nA game for Ludum Dare 33\nby Aurel B$l% <thenet.sk>\n\nThank you for playing!", 4, 4, 100);
			})
		);
		st.addState(new GSGame());
		st.switchTo("menu");
	}
}