package game;

import sk.thenet.plustd.FM;
import sk.thenet.gamestd.bmp.BitmapData;

class Actor extends Interactive {
	public var x:Float;
	public var y:Float;
	public var scrz:Int = 0;
	
	public function new(nname:String, nscreen:Screen){
		super(nname, nscreen);
		isActor = true;
	}
	
	override public function render(gs:GSGame, bd:BitmapData, sx:Int, sy:Int):Void {
		bd.copyPixels(Assets.aPlayer, screen.walkmap_x - sx - 20
			+ FM.floor(x * screen.walkmap_xx + y * screen.walkmap_xy),
			screen.walkmap_y - sy - 104
			+ FM.floor(x * screen.walkmap_yx + y * screen.walkmap_yy), 0, 0, 40, 104);
	}
	
	public inline function getScreenPos():{x:Int, y:Int} {
		return {x: screen.walkmap_x + FM.floor(x * screen.walkmap_xx + y * screen.walkmap_xy),
			y: screen.walkmap_y + FM.floor(x * screen.walkmap_yx + y * screen.walkmap_yy)};
	}
	
	public inline function getRealPos():{x:Int, y:Int} {
		var sp = getScreenPos();
		return {x: sp.x - screen.bg_x, y: sp.y - screen.bg_y};
	}
	
	override public inline function getZ():Int {
		return scrz;
	}
}