package game;

import sk.thenet.plustd.FM;
import sk.thenet.gamestd.bmp.*;

@:bitmap("assets/PO - SJungle.png") class AssetSJungle extends flash.display.BitmapData {}
@:bitmap("assets/PO - SFacility.png") class AssetSFacility extends flash.display.BitmapData {}
@:bitmap("assets/PO - SGarage.png") class AssetSGarage extends flash.display.BitmapData {}
@:bitmap("assets/PO - player.png") class AssetPlayer extends flash.display.BitmapData {}
@:bitmap("assets/PO - GUI.png") class AssetGUI extends flash.display.BitmapData {}
@:bitmap("assets/font.png") class AssetFont extends flash.display.BitmapData {}
/*
@:sound("sounds/snd.mp3") class SoundEx extends flash.media.Sound {}
*/

class Assets {
	public static var aSJungle:BitmapData;
	public static var aSFacility:BitmapData;
	public static var aSGarage:BitmapData;
	public static var aPlayer:BitmapData;
	public static var aPlayerMedium:BitmapData;
	public static var aPlayerSmall:BitmapData;
	public static var aGUI:BitmapData;
	public static var fBasic:BitmapFont;
	public static var fMachine:BitmapFont;
	public static var fIrma:BitmapFont;
	public static var fSelection:BitmapFont;
	
	public static function init():Void {
		aSJungle = cast(new AssetSJungle(0, 0));
		aSFacility = cast(new AssetSFacility(0, 0));
		aSGarage = cast(new AssetSGarage(0, 0));
		aPlayer = cast(new AssetPlayer(0, 0));
		aPlayerSmall = new BitmapData(aPlayer.width >> 1, aPlayer.height >> 1, 0);
		for (y in 0...aPlayerSmall.height) for (x in 0...aPlayerSmall.width)
			aPlayerSmall.set(x, y, aPlayer.get(x << 1, y << 1));
		aPlayerMedium = new BitmapData(FM.floor(aPlayer.width * .75), FM.floor(aPlayer.height * .75), 0);
		for (y in 0...aPlayerMedium.height) for (x in 0...aPlayerMedium.width)
			aPlayerMedium.set(x, y, aPlayer.get(FM.floor(x * (4/3)), FM.floor(y * (4/3))));
		aGUI = cast(new AssetGUI(0, 0));
		fBasic = new BitmapFont(cast(new AssetFont(0, 0)), 32, 32, 5, 10, 0xFFFFFFFF, 0xFF000000);
		fMachine = new BitmapFont(cast(new AssetFont(0, 0)), 32, 32, 5, 10, 0xFFADAABF, 0xFF37444F);
		fIrma = new BitmapFont(cast(new AssetFont(0, 0)), 32, 32, 5, 10, 0xFFD7E3B8, 0xFF657B50);
		fSelection = new BitmapFont(cast(new AssetFont(0, 0)), 32, 32, 5, 10, 0xFFC7B299, 0);
	}
}