package sk.thenet.gamestd;

import haxe.ds.StringMap;

class GenericStaterState extends StaterState {
	public var data:StringMap<Dynamic>;
	var f_to:Stater->StringMap<Dynamic>->Void = function(s:Stater, id:StringMap<Dynamic>){};
	var f_frame:Stater->Void = function(s:Stater){};
	var f_from:Stater->Void = function(s:Stater){};
	var f_kup:Stater->Int->Void = function(s:Stater, k:Int){};
	var f_kdown:Stater->Int->Void = function(s:Stater, k:Int){};
	var f_click:Stater->Int->Int->Void = function(s:Stater, x:Int, y:Int){};
	var f_mup:Stater->Int->Int->Void = function(s:Stater, x:Int, y:Int){};
	var f_mdown:Stater->Int->Int->Void = function(s:Stater, x:Int, y:Int){};
	
	public function new(nn:String){
		super(nn);
		data = new StringMap<Dynamic>();
	}
	
	override public function fTo(s:Stater, id:StringMap<Dynamic> = null):Void return f_to(s, id);
	override public function fFrame(s:Stater):Void return f_frame(s);
	override public function fFrom(s:Stater):Void return f_from(s);
	override public function fKUp(s:Stater, k:Int):Void return f_kup(s, k);
	override public function fKDown(s:Stater, k:Int):Void return f_kdown(s, k);
	override public function fClick(s:Stater, x:Int, y:Int):Void return f_click(s, x, y);
	override public function fMUp(s:Stater, x:Int, y:Int):Void return f_mup(s, x, y);
	override public function fMDown(s:Stater, x:Int, y:Int):Void return f_mdown(s, x, y);
	
	public function setFuncTo(f:Stater->StringMap<Dynamic>->Void):GenericStaterState {f_to = f;return this;}
	public function setFuncFrame(f:Stater->Void):GenericStaterState {f_frame = f;return this;}
	public function setFuncFrom(f:Stater->Void):GenericStaterState {f_from = f;return this;}
	public function setFuncKUp(f:Stater->Int->Void):GenericStaterState {f_kup = f;return this;}
	public function setFuncKDown(f:Stater->Int->Void):GenericStaterState {f_kdown = f;return this;}
	public function setFuncClick(f:Stater->Int->Int->Void):GenericStaterState {f_click = f;return this;}
	public function setFuncMUp(f:Stater->Int->Int->Void):GenericStaterState {f_mup = f;return this;}
	public function setFuncMDown(f:Stater->Int->Int->Void):GenericStaterState {f_mdown = f;return this;}
}