package sk.thenet.plustd.audio.music;

import haxe.ds.Vector;

class MMINoise extends MMInstrument {
	public static inline var NOISEBUF:Int = (2 << 13);
	
	public var noise:Vector<Float>;
	public var noisepos:Int = 0;
	
	public function new(){
		super();
		noise = new Vector<Float>(NOISEBUF);
		for (i in 0...noise.length) noise[i] = Math.random();
	}
	
	override public function buffer():Float {
		var val:Float = 0;
		if (gate > 0){
			val = noise[noisepos];
			noisepos++;
			if (noisepos >= NOISEBUF) noisepos = 0;
		}
		return val;
	}
}